App\Entity\PaiementVente:
    type: entity
    table: paiement_vente
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        reference:
            type: string
            length: 255
            fixed: false
            nullable: true
        totalPaye:
            type: float
            nullable: false
        dateEcheance:
            type: datetime
            nullable: true
        modePaiement:
            type: string
            length: 255
            fixed: false
            nullable: true
        estPaye:
            type: boolean
            nullable: true
        datePaiement:
            type: datetime
            nullable: true
        recuPaiement:
            type: string
            length: 255
            fixed: false
            nullable: true
        estComptabilise:
            type: boolean
            nullable: true
        notes:
            type: text
            nullable: true
        motscles:
            type: text
            nullable: true
    manyToOne:
        vente:
            targetEntity: Vente
            cascade: [persist]
            mappedBy: null
            inversedBy: paiements
            joinColumns:
                vente_id:
                    referencedColumnName: id
            orphanRemoval: false
        client:
            targetEntity: Client
            cascade: [persist]
            mappedBy: null
            inversedBy: paiements
            joinColumns:
                client_id:
                    referencedColumnName: id
            orphanRemoval: true
        magasin:
            targetEntity: Magasin
            cascade: [persist]
            mappedBy: null
            inversedBy: clientPaiements
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: true
        compte:
            targetEntity: Compte
            cascade: [persist]
            mappedBy: null
            inversedBy: vpaiements
            joinColumns:
                compte_id:
                    referencedColumnName: id
            orphanRemoval: true